# Uses of Interface
org.eclipse.jface.viewers.ILabelProviderListener

Packages that use ILabelProviderListener
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of ILabelProviderListener in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type ILabelProviderListener
Modifier and Type
Method
Description
`void`
PrototypeDecorator.`addListener(ILabelProviderListener listener)`
`void`
PrototypeDecorator.`removeListener(ILabelProviderListener listener)`

## Uses of ILabelProviderListener in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type ILabelProviderListener
Modifier and Type
Method
Description
`void`
BaseLabelProvider.`addListener(ILabelProviderListener listener)`
`void`
DecoratingLabelProvider.`addListener(ILabelProviderListener listener)`
The `DecoratingLabelProvider` implementation of this `IBaseLabelProvider` method adds the listener to both the nested label provider and the label decorator.
`void`
DecoratingStyledCellLabelProvider.`addListener(ILabelProviderListener listener)`
`void`
DelegatingStyledCellLabelProvider.`addListener(ILabelProviderListener listener)`
`void`
IBaseLabelProvider.`addListener(ILabelProviderListener listener)`
Adds a listener to this label provider.
`void`
BaseLabelProvider.`removeListener(ILabelProviderListener listener)`
`void`
DecoratingLabelProvider.`removeListener(ILabelProviderListener listener)`
The `DecoratingLabelProvider` implementation of this `IBaseLabelProvider` method removes the listener from both the nested label provider and the label decorator.
`void`
DecoratingStyledCellLabelProvider.`removeListener(ILabelProviderListener listener)`
`void`
DelegatingStyledCellLabelProvider.`removeListener(ILabelProviderListener listener)`
`void`
IBaseLabelProvider.`removeListener(ILabelProviderListener listener)`
Removes a listener to this label provider.

## Uses of ILabelProviderListener in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type ILabelProviderListener
Modifier and Type
Method
Description
`void`
AbstractSynchronizeLabelProvider.`addListener(ILabelProviderListener listener)`
`void`
AbstractSynchronizeLabelProvider.`removeListener(ILabelProviderListener listener)`

## Uses of ILabelProviderListener in org.eclipse.ui.views.properties.tabbed

Classes in org.eclipse.ui.views.properties.tabbed that implement ILabelProviderListener
Modifier and Type
Class
Description
`class`
`TabbedPropertySheetPage`
A property sheet page that provides a tabbed UI.